OpenIGTLink connection from MITK to Plus is not working
Closed, ResolvedPublic

Description

Follow Task two of OpenIGT-Checklist:

  • Track any tool in IGT (e.g. Virtual tracker) with the IGT Tracking Toolbox
  • Open the view OpenIGTLinkManager (must be activated in cmake)
  • Click Go online
  • start PLUS (has to be installed, tested version PlusApp-2.4.0.5123-Win64, execute fcal.exe)
  • Select configuration: Recieve OpenIGTLink Tracking Source (files have to be copied from E130-Daten\Navi\Navi-Bugsquashing\TestDaten\PLUS\)
  • Connect

--> Plus is not tracking, warnings and errors.

Also tested with Plus version 2.2, not working aswell.

wildes created this task.Oct 13 2017, 3:37 PM
goch triaged this task as High priority.Oct 17 2017, 2:46 PM

Here is one way, how step 2 works at the moment:
• Install Plus 2.2.0
• Open MITK
• Tracking toolbox with 3 tools, named Stylus, Probe and Reference
• Tracking Toolbox -> Options -> Select OpenIGTLink Data Format: TDATA
• Tracking Toolbox -> Connect, Start Tracking
• OpenIGTLink manager view -> select source -> Go online
• Start fcal.exe (Plus/bin), chose config directory, select “FCal…” (file path see above) -> connect -> endless errors in console
• MITK OpenIGTLink manager view -> click on stream (“IGT Tracking Toolbox” on the bottom)
• Fcal: click symbol underneath disconnect, 3 tools and all ok

However, this should be more stable, simpler, with Plus 2.4, ... etc.

mittmann claimed this task.Dec 19 2017, 7:04 PM
mittmann moved this task from Backlog to In Progress on the IGT board.Dec 19 2017, 7:12 PM

With the changes made in branch T23550-ImproveOpenIGTLinkConnection_from_MITK_to_PLUS the connection from MITK to PLUS is working now for the PLUS versions 2.2.0 | 2.6.0 (still not tested with PLUS-version 2.4)

mittmann moved this task from In Progress to Ready for merge on the IGT board.Jan 15 2018, 12:22 PM
mittmann moved this task from Ready for merge to Finished on the IGT board.Jan 19 2018, 11:28 AM
seitela closed this task as Resolved.Apr 20 2018, 8:29 AM